# Uses of Class
org.eclipse.swt.widgets.Shell

Packages that use Shell
Package
Description
org.eclipse.rap.rwt.application
org.eclipse.swt.widgets

## Uses of Shell in org.eclipse.rap.rwt.application

Methods in org.eclipse.rap.rwt.application that return Shell
Modifier and Type
Method
Description
`protected Shell`
AbstractEntryPoint.`createShell(Display display)`
Creates the main shell for this entrypoint.
`protected Shell`
AbstractEntryPoint.`getShell()`
Returns the main shell for this entrypoint.

## Uses of Shell in org.eclipse.swt.widgets

Fields in org.eclipse.swt.widgets declared as Shell
Modifier and Type
Field
Description
`protected Shell`
Dialog.`shell`
Methods in org.eclipse.swt.widgets that return Shell
Modifier and Type
Method
Description
`Shell`
Display.`getActiveShell()`
Returns the currently active `Shell`, or null if no shell belonging to the currently running application is active.
`Shell`
Dialog.`getParent()`
Returns the receiver's parent, which must be a `Shell` or null.
`Shell`
ToolTip.`getParent()`
Returns the receiver's parent, which must be a `Shell`.
`Shell`
Control.`getShell()`
Returns the receiver's shell.
`Shell`
Menu.`getShell()`
Returns the receiver's shell.
`Shell[]`
Display.`getShells()`
Returns a (possibly empty) array containing all shells which have not been disposed and have the receiver as their display.
`Shell[]`
Shell.`getShells()`
Returns an array containing all shells which are descendents of the receiver.
Methods in org.eclipse.swt.widgets with parameters of type Shell
Modifier and Type
Method
Description
`TaskItem`
TaskBar.`getItem(Shell shell)`
Returns the `TaskItem` for the given `Shell` or the `TaskItem` for the application if the `Shell` parameter is `null`.
`protected void`
Dialog.`runEventLoop(Shell shell)`
Constructors in org.eclipse.swt.widgets with parameters of type Shell
Modifier
Constructor
Description
``
`ColorDialog(Shell parent)`
Constructs a new instance of this class given only its parent.
``
`ColorDialog(Shell parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.
``
`Dialog(Shell parent)`
Constructs a new instance of this class given only its parent.
``
`Dialog(Shell parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.
``
`FileDialog(Shell parent)`
Constructs a new instance of this class given only its parent.
``
`FileDialog(Shell parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.
``
`FontDialog(Shell parent)`
Constructs a new instance of this class given only its parent.
``
`FontDialog(Shell parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.
``
`MessageBox(Shell parent)`
Constructs a new instance of this class given only its parent.
``
`MessageBox(Shell parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.
``
`Shell(Shell parent)`
Constructs a new instance of this class given only its parent.
``
`Shell(Shell parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.
``
`ToolTip(Shell parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.